Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609202 - [RFE] new bkr command displaying task details
[RFE] new bkr command displaying task details
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On: 607937
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 12:15 EDT by Ales Zelinka
Modified: 2011-06-13 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 13:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2010-06-29 12:15:22 EDT
Please provide a command line interface to task library allowing display of task metadata (= what can be seen on http://...//tasks/<taskid>, in test's Metadata or testinfo.desc).

it might work like this:
$ bkr task-details --task=/CoreOS/samba/Sanity/autofs-cifs
Owner:           Ales Zelinka <azelinka@redhat.com>
Name:            /CoreOS/samba/Sanity/autofs-cifs
TestVersion:     1.0
Path:            /mnt/tests/CoreOS/samba/Sanity/autofs-cifs
Description:     mounts a cifs filesystem using autofs
Type:            Sanity
TestTime:        15m
RunFor:          autofs cifs-utils samba samba-client
Requires:        autofs cifs-utils samba samba-client
Priority:        Normal
License:         GPLv2
Confidential:    no
Destructive:     no

Any machine-parsable format (xml) is fine.

We use test metadata quite heavily in BaseOS QE test tiers. Currently we have to download test rpm and extract the testinfo.desc. 

Other use case is integration of Beaker and TCMS: tcms-submit[1] now also uses testinfo.desc directly.

[1] https://wiki.test.redhat.com/BaseOs/Projects/tcms-submit
Comment 1 Marian Csontos 2010-06-30 01:23:26 EDT
Glad to see my RFE has an use-case...

Note You need to log in before you can comment on or make changes to this bug.